Core Resources
Reward creditsNew
A
Reward credit is store credit issued to a Customer as a reward. Each reward credit keeps track of its initial value, the balance still available and an optional expiration date. A reward credit is a Credit account of type reward and shares its id with that credit account.This resource is new in the V2 reference. It also works when you send X-Recharge-Version: 2021-11.
#The reward credit object
Attributes
- idintegerUnique numeric identifier for the
Reward credit. - customer_idintegerUnique numeric identifier for the
CustomertheReward creditbelongs to. - namestringThe name of the
Reward credit. - initial_valuestringThe value of the
Reward creditat the time of creation. - available_balancestringThe amount of the
Reward creditthat is still available to spend. - currency_codestringThe currency code of the
Reward credit. This is the default currency of the store. - expires_atdatetime · nullableThe date and time when the
Reward creditexpires.nullwhen it does not expire. - created_atdatetimeThe date and time when the
Reward creditwas created. - updated_atdatetimeThe date and time when the
Reward creditwas last updated.
{
"reward_credit": {
"id": 30514,
"customer_id": 71542,
"available_balance": "7.50",
"created_at": "2026-10-01T13:15:42+00:00",
"currency_code": "USD",
"expires_at": "2027-10-01T23:59:59+00:00",
"initial_value": "10.00",
"name": "Loyalty reward",
"updated_at": "2026-10-19T09:03:11+00:00"
}
}#List reward credits
GET/reward_credits
Returns a list of the store's
Reward credits. Results are sorted by id in descending order unless sort_by is passed.Scope
read_reward_creditsQuery parameters
- customer_idintegerReturn the reward credits of the given
Customer. - customer_idsstringReturn the reward credits of any of the given customers. If passing multiple values, must be comma separated.
- idsstringFilter reward credits by
id. If passing multiple values, must be comma separated. - expires_at_mindatetimeReturn the reward credits that expire on or after the given date.
- expires_at_maxdatetimeReturn the reward credits that expire on or before the given date.
- sort_bystringSort the results by the given field and direction.Possible values
id-ascid-descexpires_at-ascexpires_at-desc - limitintegerThe amount of results. Default is 50 while the maximum is 250.
- pageintegerThe page of results to show. Default is 1. Use
cursorinstead where possible. - cursorstringThe
next_cursororprevious_cursorvalue returned by a previous list request. When a cursor is passed, onlylimitcan be passed with it.
curl 'https://api.rechargeapps.com/reward_credits' \
-H 'X-Recharge-Version: v2' \
-H 'X-Recharge-Access-Token: your_api_token'{
"reward_credits": [
{
"id": 30514,
"customer_id": 71542,
"available_balance": "7.50",
"created_at": "2026-10-01T13:15:42+00:00",
"currency_code": "USD",
"expires_at": "2027-10-01T23:59:59+00:00",
"initial_value": "10.00",
"name": "Loyalty reward",
"updated_at": "2026-10-19T09:03:11+00:00"
}
],
"next_cursor": null,
"previous_cursor": null
}#Retrieve a reward credit
GET/reward_credits/{id}
Returns a single
Reward credit by its id.Scope
read_reward_creditscurl 'https://api.rechargeapps.com/reward_credits/129593' \
-H 'X-Recharge-Version: v2' \
-H 'X-Recharge-Access-Token: your_api_token'{
"reward_credit": {
"id": 30514,
"customer_id": 71542,
"available_balance": "7.50",
"created_at": "2026-10-01T13:15:42+00:00",
"currency_code": "USD",
"expires_at": "2027-10-01T23:59:59+00:00",
"initial_value": "10.00",
"name": "Loyalty reward",
"updated_at": "2026-10-19T09:03:11+00:00"
}
}#Create a reward credit
POST/reward_credits
Issues a
Reward credit of the given value to a Customer. The credit can then be used by the customer to pay for their charges.Scope
write_reward_creditsBody parameters
- Unique numeric identifier for the
Customerto issue theReward creditto. - The value of the
Reward credit, in the default currency of the store. Must be passed as a string, between0and999999.99. - namestringThe name of the
Reward credit. Maximum 255 characters. Defaults toReward Credit. - expires_atdatetimeThe date and time when the
Reward creditexpires. When omitted, the expiration date is derived from the store's reward credit expiration settings, or the credit never expires if the store has none.
curl -X POST 'https://api.rechargeapps.com/reward_credits' \
-H 'X-Recharge-Version: v2' \
-H 'X-Recharge-Access-Token: your_api_token'{
"reward_credit": {
"id": 30514,
"customer_id": 71542,
"available_balance": "10.00",
"created_at": "2026-10-01T13:15:42+00:00",
"currency_code": "USD",
"expires_at": "2027-10-01T23:59:59+00:00",
"initial_value": "10.00",
"name": "Loyalty reward",
"updated_at": "2026-10-01T13:15:42+00:00"
}
}